#include "libc.c"


struct Home {
   short zip;
   short state;
};

struct Person {
   short age;
   short id;
   char name[100];
   struct Home home;
};

int
main()
{
   struct Person me;

   me.age = 37;

   me.id = 101;

   strcpy(me.name, "Matthew W. Coan");

   me.home.zip = 21030;

   me.home.state = 100;

   printf("me.age == %d\r\n", me.age);
 
   printf("me.id == %d\r\n", me.id);
   
   printf("me.name == %s\r\n", me.name);

 /*
   printf("me.home.zip == %d\r\n", me.home.zip);

   printf("me.home.state == %d\r\n", me.home.state);
*/
   return 0;
}

